For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI reference
Get startedAPI reference
  • Agent Handler
      • GETList Application Credentials
      • POSTCreate Application Credential
      • GETGet Application Credential
      • DELDelete Application Credential
      • PATCHUpdate Application Credential
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerApplication Credentials

List Application Credentials

GET
https://ah-api.merge.dev/api/v1/application-credentials
GET
/api/v1/application-credentials
$curl https://ah-api.merge.dev/api/v1/application-credentials \
> -H "Authorization: Bearer <token>"
200List Response
1[
2 {
3 "id": "3c90c3c0-6d46-4b50-8888-8dd25736052f",
4 "connector_slug": "jira",
5 "client_id": "abc123",
6 "created_at": "2024-01-15T10:30:00Z",
7 "modified_at": "2024-01-15T10:30:00Z",
8 "external_id": "acme-corp",
9 "oauth2_scopes_override": null,
10 "oauth2_user_scopes_override": null,
11 "oauth2_optional_scopes_override": null
12 }
13]
Lists OAuth application credentials for the organization.
Was this page helpful?
Previous

Delete Credentials

Next

Create Application Credential

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

connector_slugstringOptional
Filter by connector slug
external_idstringOptional

Filter by external_id

Response

idstringRead-onlyformat: "uuid"
Unique identifier for the application credential
connector_slugstringRead-only
Slug of the connector
client_idstringRead-only
OAuth client ID
created_atdatetimeRead-only
When the application credential was created
modified_atdatetimeRead-only
When the application credential was last modified
external_idstring or nullRead-only
External identifier for the application credential
oauth2_scopes_overridestring or nullRead-only
OAuth2 scopes override
oauth2_user_scopes_overridestring or nullRead-only
OAuth2 user scopes override
oauth2_optional_scopes_overridestring or nullRead-only
OAuth2 optional scopes override